#pragma once

#include "afxwin.h"

#include "CC_Tool.h"

#include "CC_ToolDoc.h"
#include "CC_ToolView.h"

class CControlLEDDlg :    public CDialog
{
public:
	DECLARE_DYNAMIC( CControlLEDDlg)
	// _CAO f[^
	CControlLEDDlg( CWnd* pParent = nullptr);   // WRXgN^[
	virtual ~CControlLEDDlg();

	CCC_ToolView*	pView;
//	CString				m_strLED;
//	int						m_nState;

	float					m_dTemp[1000];
	float					m_dWave1[1000];
	float					m_dWave2[1000];
	int						m_nData;
	int						m_nLimit;
	int						m_nWave1;
	int						m_nWave2;
	int						m_bMonitor;
	LONG				m_nStartTime;
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_DIALOG_LED };
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV T|[g

	DECLARE_MESSAGE_MAP()
public:

	virtual void OnCancel();
	virtual void PostNcDestroy();
	CStatic m_ctlGraph;
	int DispGraph();
	virtual BOOL OnInitDialog();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	CButton m_ctlOnOff;
	afx_msg void OnBnClickedButtonLedOnoff();
	CButton m_ctlMonitor;
	CEdit m_ctlWave1;
	CEdit m_ctlWave2;
	afx_msg void OnBnClickedCheckMonitorSpectro();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
};
